import "Turbine"
import "Turbine.UI"

function isPluginLoaded(pluginName)
	local loaded=false;
	local pluginList=Turbine.PluginManager:GetLoadedPlugins();
	local index;
	for k,v in ipairs(pluginList) do
		if v.Name==pluginName then
			loaded=true;
			break;
		end;
	end
	return loaded
end
if isPluginLoaded("AltViewer") then
	reloader=Turbine.UI.Control()
	step=1
	reloader.Update=function()
		if step==1 then
			Turbine.Shell.WriteLine("Reloading AltViewer")
			Turbine.PluginManager.UnloadScriptState("AltViewer");
			step=2
		elseif step==2 then
			if not isPluginLoaded("AltViewer") then
				reloader:SetWantsUpdates(false);
				Turbine.PluginManager.LoadPlugin("AltViewer");
			end
		end
	end
	reloader:SetWantsUpdates(true)
else
	Turbine.Shell.WriteLine("AltViewer not loaded")
	isPluginLoaded=nil
	return false
end